from state import World
from state.constants import LAYER_GROUND_EARTH
from ui import UserInterface, Theme

# Create a basic game state
from ui.mode import EditGameMode

world = World(16, 10)
for y in range(3, 7):
    for x in range(4, 12):
        world.setValue(x, y, LAYER_GROUND_EARTH)

# Create a user interface and run it
theme = Theme()
userInterface = UserInterface(theme)
gameMode = EditGameMode(theme, world)
userInterface.setGameMode(gameMode)
userInterface.setRenderSize(world.width * theme.tileWidth, world.height * theme.tileHeight)
userInterface.run()
userInterface.quit()
